{"componentChunkName":"component---src-templates-docs-js","path":"/whatsapp/c-commerce/messaging","result":{"data":{"site":{"siteMetadata":{"title":"broadcaster","docsLocation":"https://github.com","docsLocationType":"github","editable":false}},"mdx":{"fields":{"id":"77606214-da93-5f00-843b-18a8f9c25b20","title":"Product messages","slug":"/whatsapp/c-commerce/messaging"},"body":"function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }\n\nfunction _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }\n\nfunction _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }\n\n/* @jsx mdx */\nvar _frontmatter = {\n  \"title\": \"Product messages\",\n  \"order\": 1\n};\nvar layoutProps = {\n  _frontmatter: _frontmatter\n};\nvar MDXLayout = \"wrapper\";\nreturn function MDXContent(_ref) {\n  var components = _ref.components,\n      props = _objectWithoutProperties(_ref, [\"components\"]);\n\n  return mdx(MDXLayout, _extends({}, layoutProps, props, {\n    components: components,\n    mdxType: \"MDXLayout\"\n  }), mdx(\"p\", null, \"The products in these messages come from a catalog, which you manage in \", mdx(\"a\", {\n    href: \"/whatsapp/c-commerce/catalogs\"\n  }, \"Catalogs\"), \".\"), mdx(\"section\", {\n    \"id\": \"singleproduct\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Single product\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Messages featuring a single product from the business's inventory. They work best for guiding customers to a specific item in a business's inventory, since they offer quick answers from a limited set of options.\")), mdx(\"section\", {\n    \"id\": \"multipleproducts\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Multiple products\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"Messages containing a selection of up to 30 items from the business's inventory. They work best for guiding customers to a specific subset of a business's inventory.\")), mdx(\"section\", {\n    \"id\": \"cataloglinkmessage\"\n  }, mdx(\"h2\", {\n    parentName: \"section\"\n  }, \"Catalog link message\"), mdx(\"p\", {\n    parentName: \"section\"\n  }, \"The simplest way to share your whole catalog is a \", mdx(\"a\", {\n    href: \"/whatsapp/messaging/without_template/text\"\n  }, \"text message\"), \" with a preview that links to your catalog on WhatsApp. The link follows the format \", mdx(\"inlineCode\", {\n    parentName: \"p\"\n  }, \"https://wa.me/c/<business_phone_number>\"), \".\")), mdx(\"section\", {\n    \"id\": \"cataloglinkmessage--example\"\n  }, mdx(\"h3\", {\n    parentName: \"section\"\n  }, \"Example\")), mdx(\"section\", {\n    \"id\": \"cataloglinkmessage--example--cataloglinkhttprequest\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Catalog link HTTP request\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-bash\"\n  }, \"curl -X POST 'https://{{url}}/whatsapp-bsp-api-endpoint-ws/services/v1/messaging' \\\\\\n-H 'Authorization: Bearer {{wa-msg-api-token}}' \\\\\\n-H 'Content-Type: application/json' \\\\\\n-d '{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"text\\\",\\n    \\\"text\\\": \\\"Browse our full catalog here: https://wa.me/c/5215500000001\\\",\\n    \\\"preview_url\\\": true\\n}'\\n\"))), mdx(\"section\", {\n    \"id\": \"cataloglinkmessage--example--cataloglinkbody\"\n  }, mdx(\"h4\", {\n    parentName: \"section\"\n  }, \"Catalog link body\"), mdx(\"pre\", {\n    parentName: \"section\"\n  }, mdx(\"code\", {\n    parentName: \"pre\",\n    \"className\": \"language-json\"\n  }, \"{\\n    \\\"from\\\": \\\"5215500000001\\\",\\n    \\\"to\\\": \\\"5215500000002\\\",\\n    \\\"type\\\": \\\"text\\\",\\n    \\\"text\\\": \\\"Browse our full catalog here: https://wa.me/c/5215500000001\\\",\\n    \\\"preview_url\\\": true\\n}\\n\"))));\n}\n;\nMDXContent.isMDXComponent = true;","tableOfContents":{"items":[{"url":"#single-product","title":"Single product"},{"url":"#multiple-products","title":"Multiple products"},{"url":"#catalog-link-message","title":"Catalog link message","items":[{"url":"#example","title":"Example","items":[{"url":"#catalog-link-http-request","title":"Catalog link HTTP request"},{"url":"#catalog-link-body","title":"Catalog link body"}]}]}]},"timeToRead":1,"parent":{"__typename":"File","relativePath":"whatsapp/c-commerce/messaging.md","fields":{"gitLogLatestAuthorName":"Irais Aguirre","gitLogLatestAuthorEmail":"irais.aguirre@conceptomovil.com","gitLogLatestDate":"5 hours ago"}},"frontmatter":{"metaTitle":null,"showMetadata":null,"editable":null,"showPreviousNext":null,"showToc":null}},"gitBranch":{"name":"20211019-2FACTOR_AUTH"},"gitCommit":{"hash":"9713e1925aeb8cad930f91b6bf05d0b5937b2bb5","date":"2026-11-13 06:39"}},"pageContext":{"id":"77606214-da93-5f00-843b-18a8f9c25b20"}},"staticQueryHashes":["12478684","12478684","2882937274","2882937274","353167761","353167761"]}